package com.utopiaindustries.dao.ctp;

import com.utopiaindustries.model.ctp.JobCardItem;
import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;

public class JobCardItemRowMapper implements RowMapper<JobCardItem> {
	public JobCardItem mapRow( ResultSet rs, int rowNum ) throws SQLException {
		JobCardItem jobCardItem = new JobCardItem();
		jobCardItem.setId( rs.getLong( "id" ) );
		jobCardItem.setJobCardId( rs.getLong( "job_card_id" ) );
		jobCardItem.setItemId( rs.getLong( "item_id" ) );
		jobCardItem.setSku( rs.getString( "sku" ) );
		jobCardItem.setExpectedProductionQuantity( rs.getBigDecimal( "expected_production_quantity" ) );
		jobCardItem.setTotalProduction( rs.getBigDecimal("total_production" ) );
		return jobCardItem;
	}
}